[Overview][Types][Classes][Index] | Reference for unit 'iostream' (#fcl)

# TIOStream.SetSize

Set the size of the stream

## Declaration

Source position: iostream.pp line 34

`public procedure TIOStream.SetSize(`
`NewSize: LongInt`
`); override;`

## Arguments

`NewSize` |  | New size for the stream/

## Description

SetSize overrides the standard SetSize implementation. It always raises an exception, because the standard input, output and stderr files have no size.

## Errors

An EIOStreamError exception is raised when this method is called.

## See also

EIOStreamError |  | Error thrown in case of an invalid operation on a TIOStream.

The latest version of this document can be found at lazarus-ccr.sourceforge.net.